setup.navigationOverride = (destinationPassageName:string)=>{
	let requestedLocation = new LocationIdentifier(destinationPassageName,State.variables.location_var[destinationPassageName]);

	const tagsWithEvents = ['indoors','outdoors','interruptible','activity'];
	const tagsWithCustomEventHandling = ['dynamicHousing'];
	const tagsWithEventsDisabled = ['noEvents'];

	if(
		requestedLocation.tags.includesAny(tagsWithEvents) && 
		!requestedLocation.tags.includesAny(tagsWithCustomEventHandling) && 
		!requestedLocation.tags.includesAny(tagsWithEventsDisabled)
	){
		State.variables.eventReturnLocation = requestedLocation;
		State.variables.location.locationIdentifier = requestedLocation;
		return 'event';
	}
}